# Contributing to commons-utils
We gladly accept contributions, and we truly thank whoever supports this project!

## Code of Conduct
Check out our [Code of Conduct](./CODE_OF_CONDUCT.md).

By contributing, we expect you to uphold this conduct.

## Ways to Contribute
### Bug Reporting
Before submitting an issue make sure the issue hasn't been reported yet. Please consider these following guidelines when contributing:

* Be clear and concise with the title, it will help others link their issues and solutions to yours.
* Specify the ways to reproduce the bug, so our development team and contributors can reproduce by themselves.
* Show the output, using logs and screenshots, to help others understand your issue.
* For any uncertainty of how to reproduce the issue, specify that as well! Describe your actions before the bug occurred.

### Submitting Enhancements
We appreciate new ideas and improvements, and we want Nino to reach its full potential!
If you have any enhancement you want done in Nino please submit an issue!

Before submitting the issue, consider the following guidelines:
* Be clear and concise with the title, it will help others link their issues and solutions to yours.
* In the enhancement's description, please add a way to implement the idea.
  It doesn't have to be in code but rather an idea to make sure it's up to standards
* Add examples of how the feature can be interacted with, it will make the general concept much easier to grasp.

### Pull Requests
Before submitting a PR please make sure there is no other similar PR submitted.

Do not submit a PR that adds any enhancements before the enhancement issue was approved, or else it will be ignored.

If your PR regards any issues please link the issue to the PR.
